> For the complete documentation index, see [llms.txt](https://apidocs.tradebit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.tradebit.io/api-reference/private-apis/orders.md).

# Orders

It refer to instructions given by a trader to buy or sell a specific cryptocurrency at a certain price or under certain conditions.

## Create Order

## Create Order

<mark style="color:green;">`POST`</mark> `{{BASE_URL}}/orders/place-order`&#x20;

The order which is created at the time of buy or sell crypto.

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | jwt token   |

#### Request Body

| Name                                             | Type    | Description                   |
| ------------------------------------------------ | ------- | ----------------------------- |
| at\_price<mark style="color:red;">\*</mark>      | Integer |                               |
| currency<mark style="color:red;">\*</mark>       | String  | in capital words like "BTC"   |
| order\_type<mark style="color:red;">\*</mark>    | String  | buy or sell                   |
| quantity<mark style="color:red;">\*</mark>       | Integer |                               |
| stop\_price<mark style="color:red;">\*</mark>    | Integer |                               |
| total<mark style="color:red;">\*</mark>          | Integer |                               |
| type<mark style="color:red;">\*</mark>           | String  | limit , market or stop\_limit |
| with\_currency<mark style="color:red;">\*</mark> | String  | capitals words like "USDT"    |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "status_code": "Integer", // 1
    "status_text": "String", // Success
    "message": "String"
}
```

{% endtab %}

{% tab title="200: OK Failed" %}

```javascript
{
    "status_code": "Integer", // 0
    "status_text": "String", // Failed
    "message": "String"
}
```

{% endtab %}
{% endtabs %}

## Cnacel Order

## Cancel Order

<mark style="color:green;">`POST`</mark> `{{BASE_URL_NODE}}/orders/cancel-order/1`&#x20;

Here we send order id with API path. And at the base of order id the order is cancel.

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | jwt token   |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "status_code": "Integer", // 1
    "status_text": "String", // Success
    "message": "String"
}
```

{% endtab %}

{% tab title="200: OK Failed" %}

```javascript
{
    "status_code": "Integer", // 0
    "status_text": "String", // Failed
    "message": "String"
}
```

{% endtab %}
{% endtabs %}

## All Order History

## All Orders History

<mark style="color:blue;">`GET`</mark> `{{BASR_NODE_URL}}/orders/get?type=remaining&page=1&per_page=10`&#x20;

Here we represents the all order of user those are completed , pending or canceled.

#### Query Parameters

| Name                                        | Type   | Description            |
| ------------------------------------------- | ------ | ---------------------- |
| type<mark style="color:red;">\*</mark>      | String | remaining or completed |
| page<mark style="color:red;">\*</mark>      | String |                        |
| per\_page<mark style="color:red;">\*</mark> | String |                        |

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | jwt token   |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "status_code": "Integer", // 1
    "status_text": "String", // Success
    "message": "String",
    "data":"Object"
}
```

{% endtab %}
{% endtabs %}
